//
function loadCssFile(filename) {
	var fileref = document.createElement("link");
	fileref.setAttribute("rel", "stylesheet");
	fileref.setAttribute("type", "text/css");
	fileref.setAttribute("href", filename);

	if (typeof fileref != "undefined") {
		document.getElementsByTagName("head")[0].appendChild(fileref);
	}
}

var title;
var ptime;
var body;
var replyCount;
var replyBoard;
var source;
var more;
var moreButton;
var myBody;
var myTitle;
var textSize;

var hideConditionNum;
var topHideNum;
var bottomHideNum;
var voteArray = {};

var lastRequestLoadImgStart = -1;
var lastRequestLoadImgEnd = -1;

var myVote;

var relation;

var hotreplys;

//
var newsVote;

window.onscroll = function() {
	requestImgLoading();
}

function getTitle() {
	myTitle = document.getElementById('title');
	if (window.news) {
		title = window.news.getTitle();
		myTitle.innerHTML = title;
	}
}

function getSource() {
	var mySource = document.getElementById('source');
	if (window.news) {
		source = window.news.getSource();
		mySource.innerHTML = source;
	}
}

function getTime() {
	var myTime = document.getElementById('ptime');
	if (window.news) {
		ptime = window.news.getTime();
		myTime.innerHTML = ptime;
	}
}

function getBody() {
	myBody = document.getElementById('article_body');

	if (window.news) {
		body = window.news.getBody();
		myBody.innerHTML = body;
	}
}

function getRelation() {
	myRelation = document.getElementById('relation');

	if (window.news) {
		relation = window.news.getRelation();
		myRelation.innerHTML = relation;
	}
}

function getHotReplys() {
	myHotComment = document.getElementById('hot_comment');

	if (window.news) {
		hotreplys = window.news.getHotReply();
		myHotComment.innerHTML = hotreplys;
	}
}

function getVotes() {
	myVotes = document.getElementById('article_control');

	if (window.news) {
		newsVote = window.news.getVotes();
		myVotes.innerHTML = newsVote;
	}
}

// 鏇存柊璇勮鏁版嵁
function updateReply() {
	myNewComment = document.getElementById('new_comment');

	myNewComment.innerHTML = window.news.getNewReply(); // 鏈�柊璇勮;

}

function getTextSize() {
	if (window.news) {
		textSize = window.news.getTextSize();
		switch (textSize) {
		case 0:
			showSuperBigSize();
			break;
		case 1:
			showBigSize();
			break;
		case 2:
			showMidSize();
			break;
		case 3:
			showSmallSize();
			break;
		}
	}
}

function showSuperBigSize() {
	myBody.style.fontSize = "26px";
	myBody.style.lineHeight = "160%";
}

function showBigSize() {
	myBody.style.fontSize = "22px";
	myBody.style.lineHeight = "160%";
}

function showMidSize() {
	myBody.style.fontSize = "18px";
	myBody.style.lineHeight = "150%";
}

function showSmallSize() {
	myBody.style.fontSize = "16px";
	myBody.style.lineHeight = "150%";
}

function requestImgLoading(force) {
	if (!window.news) {
		return;
	}
	screenHeight = 3 * window.screen.height;
	screenHeight = screenHeight / window.devicePixelRatio;

	start = -1;
	end = -1;

	for (i = 0; i < 1000; i++) {
		// alert('a-start-' + i);
		largepic = document.getElementById('largepic' + i);
		if (!largepic) {
			break;
		}

		r = largepic.getBoundingClientRect();

		if (r.bottom > 0) {
			start = i;
			break;
		}
	}
	for (i = start; i < 1000; i++) {
		largepic = document.getElementById('largepic' + i);
		if (!largepic) {
			break;
		}
		end = i;
		r = largepic.getBoundingClientRect();
		if (r.bottom >= screenHeight) {
			break;
		}
	}

	if (force || lastRequestLoadImgStart != start
			|| lastRequestLoadImgEnd != end) {
		lastRequestLoadImgStart = start;
		lastRequestLoadImgEnd = end;
		if (start != -1 && end != -1) {
			window.news.requestImgLoading(start, end);
		}
	}
}

// 鍗曞紶澶у浘鍙傜湅鍥剧墖
function reloadImage(i) {

	if (window.news) {
		var largepic = document.getElementById('largepic' + i);

		if (largepic != null
				&& (largepic.src == 'file:///android_asset/big_reload_img.png' || largepic.src == 'file:///android_asset/small_reload_img.png')) {

			largepic.src = 'file:///android_asset/img/small_loading0.png';
			window.news.reloadImg(i);

			return;
		}
	}
}

function setAddImgShowAndImgContentSimple(i, imgUrl) {
	var imgcontent = document.getElementById("imgContent_" + i);
	if (imgcontent) {
		// imgcontent.src = imgUrl;

	}
}

function setAddImgShowAndImgContent(i, imgUrl, width, height, finalWidth,
		finalHeight, offsetX, isFixedParam) {

	var imgcontent = document.getElementById("largepic" + i);
	if (null != imgcontent) {
		if (isFixedParam == 1) {
			var rectRight = parseInt(offsetX) + parseInt(finalWidth);
			imgcontent.style.left = "10px";// "-" + offsetX + "px";
			imgcontent.style.clip = "rect(auto, " + rectRight + "px, "
					+ finalHeight + "px, " + offsetX + "px)";
			imgcontent.style.width = width - 10 + "px";
			imgcontent.style.height = height + "px";
		}

		if (imgUrl != "big_reload_img.png" && imgUrl != "small_reload_img.png") {
			imgcontent.src = imgUrl;
			imgcontent.onclick = function() {
				toTopic(i);
			};
		}
	}
}

function updateProgress(i, percent, isBigImg, isTablet, isNoProgress) {
	if (percent == 0) {
		var imgVideo = document.getElementById("videoImg_" + i);
		if (imgVideo != null) {
			imgVideo.style.visibility = "hidden";
		}
	}

	var percent_i = document.getElementById("largepic" + i);
	if (!percent_i) {
		return;
	}

	var state = Math.floor(percent / 10);
	if (state > 9) {
		state = 9;
	} else if (state < 0) {
		state = 0;
	}

	var url;
	if (isBigImg) {
		url = isNoProgress ? "file:///android_asset/img/no_loading.png"
				: "file:///android_asset/img/loading" + state + ".png";
	} else {
		url = isNoProgress ? "file:///android_asset/img/small_no_loading.png"
				: "file:///android_asset/img/small_loading" + state + ".png";
	}
	if (percent_i.src != url) {
		percent_i.src = url;
	}
}

function requestIndexImgLoading() {
	window.news.requestIndexImgLoading();
}

function setIndexImgContent(imgUrl, width, height, finalWidth, finalHeight,
		offsetX, isFixedParam) {

	var imgcontent = document.getElementById("index_pic");
	if (null != imgcontent) {
		if (isFixedParam == 1) {
			// var rectRight = parseInt(offsetX) + parseInt(finalWidth);
			imgcontent.style.left = "10px";// "-" + offsetX + "px";
			// imgcontent.style.clip = "rect(auto, " + rectRight + "px, "
			// + finalHeight + "px, " + offsetX + "px)";
			// imgcontent.style.width = "99%";
			imgcontent.style.width = (document.documentElement.clientWidth - 10)
					+ 'px';
		}

		if (imgUrl != "big_reload_img.png" && imgUrl != "small_reload_img.png") {
			imgcontent.src = imgUrl;
			imgcontent.onclick = function() {
				toTopic(0);
			};
		}
	}
}

function updateIndexImgProgress(percent, isBigImg, isTablet, isNoProgress) {

	var percent_i = document.getElementById("index_pic");
	if (!percent_i) {
		return;
	}

	var state = Math.floor(percent / 10);
	if (state > 9) {
		state = 9;
	} else if (state < 0) {
		state = 0;
	}

	var url;
	if (isBigImg) {
		url = isNoProgress ? "file:///android_asset/img/no_loading.png"
				: "file:///android_asset/img/loading" + state + ".png";
	} else {
		url = isNoProgress ? "file:///android_asset/img/small_no_loading.png"
				: "file:///android_asset/img/small_loading" + state + ".png";
	}
	if (percent_i.src != url) {
		percent_i.src = url;
	}
}

function initialize() {
	getTitle();
	getTime();
	getBody();
	getRelation();
	getTextSize();

	requestIndexImgLoading();

	requestImgLoading();

	showMoreButton();
	checkinitreply();
}

function showMoreButton() {
	moreButton = document.getElementById('moreButton');

	if (window.news) {
		var isShown = window.news.hasNext();

		if (isShown == 1) {
			myBody.innerHTML = body;
			moreButton.style.display = "block";
		}
	} else {
		myBody.innerHTML = body;
		moreButton.style.display = "none";
	}
}

// 

// 
function maodian(t) {
	location.hash = t;
}

//
window.onload = function() {
	initialize();
	window.scrollTo(0, 1);
	window.scrollTo(0, 0);
}

// 
function checkinitreply() {
	if (window.news) {
		window.news.checkandopcomment();
	}
}

function checkMoreButton() {
	moreButton = document.getElementById('moreButton');
	if (window.news) {
		var isShown = window.news.hasNext();
		if (isShown == 1) {
			moreButton.style.display = "block";
		} else {
			moreButton.style.display = "none";
		}
	} else {
		myBody.innerHTML = body;
		moreButton.style.display = "none";
	}
}

// 
function toLink(i) {
	if (window.news) {
		window.news.toLink(i);
	}
}

function toRelative(i) {
	if (window.news) {
		window.news.toRelative(i);
	}
}

// 
function toTopic(i) {
	if (window.news) {
		window.news.toTopic(Number(i));
	}
}

// 
function toSearch(mKeyWord) {
	if (window.news) {
		window.news.toSearchResult(mKeyWord);
	}
}

// 
function newshotword(mKeyWord) {
	if (window.news) {
		window.news.toSearchResult(mKeyWord);
	}
}

// 
function shares(type) {
	if (window.news) {
		window.news.getShare(type);
	}
}

function hotisShow(isshow) {
	if (isshow) {
		$("#hot_container").show();
	} else {
		$("#hot_container").hide();
	}
}

function newscollect(obj) {
	if (!$(obj).hasClass("fav-selected")) {
		$(obj).addClass("fav-selected");
	} else {
		$(obj).removeClass("fav-selected");
	}

	// 
	if (window.news) {
		window.news.NewsCollect();
	}

}

function newscollectstatus(obj) {
	if (!$(obj).hasClass("fav-selected")) {
		$(obj).addClass("fav-selected");
	} else {
		$(obj).removeClass("fav-selected");
	}
}

// 回复评论页
function toComment(id, uid, title) {
	if (window.news) {
		window.news.initPopupWindow_Comment(id, uid, title);
	}
}

// 详情中点击评论条状到通知界面
function toCommentDetail(id) {
	if (window.news) {
		window.news.jumptoNoticeActivity(id);
	}
}

function dingComment(obj, id) {
	//alert("1");
	$(obj).unbind("click");

	var count = parseInt($(obj).text());
	$(obj).text(count + 1);
	$(obj).addClass("ding-btn-selected");
	//addAnimation($(obj), 2);

	obj.onclick = null;
	//alert("2");
	// 回调服务器顶方法
	if (window.news) {
		window.news.dingOp(id);
	}
}

function totaobaoAD(url){
	if (window.news) {
		window.news.opentaobaoAD(url);
	}
}

// 添加一条数据到最新评论
function addCommentToNew(username, content, usericon) {

	var strcontent = "<section class=\"box-comment\" style=\"border-bottom: solid 1px #ebebeb;\">";
	strcontent += "<div class=\"info-panel\">";
	strcontent += "<div class=\"avatar-panel\"><img src=\"" + usericon
			+ "\" onerror=\"this.src='res/avatar.png'\"></div>";
	strcontent += "<div class=\"name-panel\">" + username + "</div>";
	strcontent += "<div class=\"date-panel\">刚刚</div>";
	strcontent += "<div class=\"action-panel\">";
	strcontent += "<a class=\"ding-btn\" onclick=\"dingComment(this,0)\">0</a>";
	strcontent += "<a class=\"comment-btn\" onclick=\"javascript:void(0);\">0</a>";
	strcontent += "</div>";
	strcontent += "</div>";
	strcontent += "<p>" + content + "</p>";
	strcontent += "</section>";

	$("#new_comment").prepend(strcontent);

	location.hash = "new_comment";

}

function toreward(){
	if (window.news) {
		window.news.openReward();
	}
}

